Upgrading from Version 3.1.9 to 3.2.8

When things don't work as they should.
Post Reply
andyham
Posts: 1
Joined: Wed Oct 23, 2019 6:27 pm

Upgrading from Version 3.1.9 to 3.2.8

Post by andyham » Wed Oct 23, 2019 6:36 pm

Hi!

I'm using Mayan-EDMS with Turnkey Virtualbox which comes with version 3.1.9
I've managed upgrading to 3.1.10 without any problem by following instructions on Turnkey's site, as below:

REMOVE=/etc/mayan/removals.txt
curl https://gitlab.com/mayan-edms/mayan-edm ... movals.txt > $REMOVE
supervisorctl stop all
ENV=/etc/mayan/env
BIN=/opt/mayan-edms/bin
su - mayan -c ". $ENV && $BIN/pip uninstall -r $REMOVE"
su - mayan -c ". $ENV && $BIN/pip install mayan-edms==3.1.10"
supervisorctl start all


But if i continue upgrading to latest version 3.2.8 or NExt available version after 3.1.10 it wont work anymore.
The upgrade process seems fine, but i cannot login. It just loads 30-40 seconds and then i get Server Error without any clue.

I don't know how to solve or where to look to see what went wrong.

I think i can use version 3.1.10 but it's always nice to have the latest version up and running since i've decided to use the software for all
receipts, bills and so on.

Do i need to upgrade to next available version direct after 3.1.10? or can i direct continue with latest which is 3.2.8?
And 3.1.11 doesn't seem to exists?, it looks like it is: 3.2.b1 and 3.2rc1, 3.2, 3.3 and so on ?. Anyhow still doesn't work :(.

Any help is appreciated.

Best regards

Regards Andreas

Post Reply